import { ElementRef, Renderer2, OnDestroy } from '@angular/core';
export declare type HighlightStyle = 'shadow' | 'outline' | 'background' | 'none';
export declare type HighlightStyleConfig = {
    hover?: HighlightStyle;
    focus?: HighlightStyle;
    debounceTime?: number;
};
export declare class HighlightDirective implements OnDestroy {
    private _renderer;
    private _el;
    get highlightStyle(): HighlightStyleConfig;
    set highlightStyle(value: HighlightStyleConfig);
    readonly DEFAULT_CONFIG: Readonly<HighlightStyleConfig>;
    private _style;
    private _hovered$;
    private _isHovered;
    private _focused$;
    private _isFocused;
    private _subscriptions;
    constructor(_renderer: Renderer2, _el: ElementRef);
    ngOnDestroy(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onFocusIn(): void;
    onFocusOut(): void;
    private _updateStyleConfig;
    private _startHoverSubscription;
    private _stopHoverSubscription;
    private _startFocusSubscription;
    private _stopFocusSubscription;
    private _applyEffect;
    private _removeEffect;
}
